Package org.gradle.language.nativeplatform

## Interface HeaderExportingSourceSet

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `LanguageSourceSet`, `ModelElement`, `Named`
  All Known Subinterfaces:
    `CppSourceSet`, `CSourceSet`, `ObjectiveCppSourceSet`, `ObjectiveCSourceSet`, `WindowsResourceSet`

      @Incubating
      public interface HeaderExportingSourceSet
      extends LanguageSourceSet

  A source set that exposes headers

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceDirectorySet` | `getExportedHeaders()` | The headers as a directory set.
    `SourceDirectorySet` | `getImplicitHeaders()` | The headers that are private to this source set and implicitly available.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `generatedBy, getParentName, getSource`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getExportedHeaders

          SourceDirectorySet getExportedHeaders()

      The headers as a directory set.

    - #### getImplicitHeaders

          SourceDirectorySet getImplicitHeaders()

      The headers that are private to this source set and implicitly available. These are not explicitly made available for compilation.